bitel.billing.server.ipn.bean

## Class IPNResourceManager.NumberChange

- java.lang.Object
- - bitel.billing.server.ipn.bean.IPNResourceManager.NumberChange

- Enclosing class:
    IPNResourceManager

      public static class IPNResourceManager.NumberChange
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDED`
    `static int` | `ANOTHER_CHANGE`
    `int` | `changeType`
    `static int` | `DATE_CHANGED`
    `long` | `ip1`
    `long` | `ip2`
    `java.util.Calendar` | `newDate1`
    `java.util.Calendar` | `newDate2`
    `java.util.Calendar` | `oldDate1`
    `java.util.Calendar` | `oldDate2`
    `static int` | `REMOVED`
    `bitel.billing.server.admin.resource.bean.ip.IPResourceRange` | `resource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberChange()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REMOVED

          public static final int REMOVED

      See Also:
        Constant Field Values

    - #### DATE_CHANGED

          public static final int DATE_CHANGED

      See Also:
        Constant Field Values

    - #### ADDED

          public static final int ADDED

      See Also:
        Constant Field Values

    - #### ANOTHER_CHANGE

          public static final int ANOTHER_CHANGE

      See Also:
        Constant Field Values

    - #### ip1

          public long ip1

    - #### ip2

          public long ip2

    - #### changeType

          public int changeType

    - #### resource

          public bitel.billing.server.admin.resource.bean.ip.IPResourceRange resource

    - #### oldDate1

          public java.util.Calendar oldDate1

    - #### oldDate2

          public java.util.Calendar oldDate2

    - #### newDate1

          public java.util.Calendar newDate1

    - #### newDate2

          public java.util.Calendar newDate2

  - ### Constructor Detail

    - #### NumberChange

          public NumberChange()